Bug 403196 - Displaying the ledger for a category shows the wrong account
Summary: Displaying the ledger for a category shows the wrong account
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Applications
Component: general (show other bugs)
Version: 5.0.2
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-13 23:18 UTC by Jack
Modified: 2021-06-21 19:19 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.1.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jack 2019-01-13 23:18:08 UTC
If you double click any category in the Category View, a ledger is displayed for all transactions in that category.  However, the account name displayed in the dropdown above the ledger shows the most recent account for which the ledger was displayed.  I assume it should show the name of the category, and as a wishlist extra, I think it should in some way show that the ledger is being displayed for a category, not a user-defined account.
Comment 1 mau 2020-02-20 08:25:44 UTC
I can confirm that behaviour and would see the proposed change as an improvement as well.
Comment 2 Dawid Wróbel 2021-06-21 06:19:42 UTC
Git commit 97ff800786c22022478d4a25759511f2e105acc8 by Dawid Wróbel.
Committed on 21/06/2021 at 06:19.
Pushed by wrobelda into branch '5.1'.

Also include categories in Ledger's accounts list

M  +5    -1    kmymoney/views/kgloballedgerview_p.h

https://invent.kde.org/office/kmymoney/commit/97ff800786c22022478d4a25759511f2e105acc8